%global _empty_manifest_terminate_build 0
Name:		python-isodate
Version:	0.6.1
Release:	2
Summary:	An ISO 8601 date/time/duration parser and formatter
License:	BSD-3-Clause
URL:		https://github.com/gweis/isodate/
Source0:	https://files.pythonhosted.org/packages/db/7a/c0a56c7d56c7fa723988f122fa1f1ccf8c5c4ccc48efad0d214b49e5b1af/isodate-0.6.1.tar.gz
BuildArch:	noarch


%description
This module implements ISO 8601 date, time and duration parsing.
The implementation follows ISO8601:2004 standard, and implements only
date/time representations mentioned in the standard. If something is not
mentioned there, then it is treated as non existent, and not as an allowed
option.

%package -n python3-isodate
Summary:	An ISO 8601 date/time/duration parser and formatter
Provides:	python-isodate
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-isodate
This module implements ISO 8601 date, time and duration parsing.
The implementation follows ISO8601:2004 standard, and implements only
date/time representations mentioned in the standard. If something is not
mentioned there, then it is treated as non existent, and not as an allowed
option.

%package help
Summary:	Development documents and examples for isodate
Provides:	python3-isodate-doc
%description help
Development documents and examples for isodate

%prep
%autosetup -n isodate-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-isodate -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Wed Nov 9 2022 caodongxia <caodongxia@h-partners.com> - 0.6.1-2
- Modify invalid source0

* Sat Oct 29 2022 Ge Wang <wangge20@h-partners.com> - 0.6.1-1
- Upgrade to version 0.6.1

* Sat Feb 20 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
